Bug 924519

Summary: FSRVP server state on-disk format upgrade for upstream
Product: [openSUSE] openSUSE Tumbleweed Reporter: David Disseldorp <ddiss>
Component: SambaAssignee: Noel Power <nopower>
Status: RESOLVED FIXED QA Contact: The 'Opening Windows to a Wider World' guys <samba-maintainers>
Severity: Normal    
Priority: P5 - None CC: samba-maintainers
Version: 201503*   
Target Milestone: ---   
Hardware: Other   
OS: Other   
Whiteboard:
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---
Bug Depends on: 968963    
Bug Blocks:    
Attachments: v0 -> v1 FSRVP state upgrade patch-set

Description David Disseldorp 2015-03-26 15:27:21 UTC
The Samba FSRVP server changes present in openSUSE 13.2 are currently undergoing review for acceptance in the upstream Samba repository.

One of the changes needed to have the patchset accepted upstream is to use IDL for the marshalling and unmarshalling of FSRVP server state database (srv_fss.tdb) entries, instead of tdb_pack()/tdb_unpack().

Making such a change is quite straightforward, however it means that there will be a change in the on disk format. With the tdb_pack()/tdb_unpack() based format (version 0) released in openSUSE, we'll have to carry a SUSE specific patch to handle upgrades from the old version to the new IDL based format (version 1).

The upgrade patch will only be needed when we rebase against the upstream FSRVP server implementation.
Comment 1 David Disseldorp 2015-03-26 15:30:57 UTC
Created attachment 628839 [details]
v0 -> v1 FSRVP state upgrade patch-set

If a version 0 FSRVP database is detected, then fist retrieve the state
using the old version 0 retrieval routines. Following successful
retrieval, store the state in a new database using the version 1 IDL
format, then rename the new database over the old.

The patch-set includes corresponding smbtorture unit tests.
Comment 2 David Disseldorp 2015-03-26 15:43:38 UTC
(In reply to David Disseldorp from comment #1)
> Created attachment 628839 [details]
> v0 -> v1 FSRVP state upgrade patch-set

This patch set was done atop the fsrvp_srv_v3 patch-set proposed upstream via:

https://lists.samba.org/archive/samba-technical/2015-March/106615.html

I pushed a combine fsrvp_srv_v3 + v0 -> v1 FSRVP state upgrade patch-set to:

https://git.samba.org/?p=ddiss/samba.git;a=shortlog;h=refs/heads/fsrvp_srv_v3_v0_tdb_upgrade
Comment 6 Bernhard Wiedemann 2016-03-22 16:00:10 UTC
This is an autogenerated message for OBS integration:
This bug (924519) was mentioned in
https://build.opensuse.org/request/show/377571 Factory / samba
Comment 7 Bernhard Wiedemann 2016-03-22 21:00:10 UTC
This is an autogenerated message for OBS integration:
This bug (924519) was mentioned in
https://build.opensuse.org/request/show/378291 Factory / samba
Comment 8 Swamp Workflow Management 2016-04-12 22:08:49 UTC
SUSE-SU-2016:1022-1: An update that solves 7 vulnerabilities and has 13 fixes is now available.

Category: security (important)
Bug References: 320709,913547,919309,924519,936862,942716,946051,949022,964023,966271,968973,971965,972197,973031,973032,973033,973034,973036,973832,974629
CVE References: CVE-2015-5370,CVE-2016-2110,CVE-2016-2111,CVE-2016-2112,CVE-2016-2113,CVE-2016-2115,CVE-2016-2118
Sources used:
SUSE Linux Enterprise Software Development Kit 12 (src):    samba-4.2.4-18.17.1
SUSE Linux Enterprise Server 12 (src):    samba-4.2.4-18.17.1
SUSE Linux Enterprise High Availability 12 (src):    samba-4.2.4-18.17.1
SUSE Linux Enterprise Desktop 12 (src):    samba-4.2.4-18.17.1
Comment 9 Swamp Workflow Management 2016-04-12 22:13:35 UTC
SUSE-SU-2016:1024-1: An update that solves 7 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 924519,936862,968973,971965,972197,973031,973032,973033,973034,973036,973832,974629
CVE References: CVE-2015-5370,CVE-2016-2110,CVE-2016-2111,CVE-2016-2112,CVE-2016-2113,CVE-2016-2115,CVE-2016-2118
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP1 (src):    samba-4.2.4-16.1
SUSE Linux Enterprise Server 12-SP1 (src):    samba-4.2.4-16.1
SUSE Linux Enterprise High Availability 12-SP1 (src):    samba-4.2.4-16.1
SUSE Linux Enterprise Desktop 12-SP1 (src):    samba-4.2.4-16.1
Comment 10 Swamp Workflow Management 2016-04-13 12:08:04 UTC
openSUSE-SU-2016:1025-1: An update that solves 7 vulnerabilities and has 5 fixes is now available.

Category: security (important)
Bug References: 924519,936862,968973,971965,972197,973031,973032,973033,973034,973036,973832,974629
CVE References: CVE-2015-5370,CVE-2016-2110,CVE-2016-2111,CVE-2016-2112,CVE-2016-2113,CVE-2016-2115,CVE-2016-2118
Sources used:
openSUSE Leap 42.1 (src):    samba-4.2.4-15.1
Comment 11 Swamp Workflow Management 2016-04-17 13:13:25 UTC
openSUSE-SU-2016:1064-1: An update that solves 16 vulnerabilities and has 17 fixes is now available.

Category: security (important)
Bug References: 898031,901813,912457,913238,913547,914279,917376,919309,924519,936862,942716,946051,947552,949022,958581,958582,958583,958584,958585,958586,964023,966271,968222,968973,971965,972197,973031,973032,973033,973034,973036,973832,974629
CVE References: CVE-2014-8143,CVE-2015-0240,CVE-2015-3223,CVE-2015-5252,CVE-2015-5296,CVE-2015-5299,CVE-2015-5330,CVE-2015-5370,CVE-2015-7560,CVE-2015-8467,CVE-2016-2110,CVE-2016-2111,CVE-2016-2112,CVE-2016-2113,CVE-2016-2115,CVE-2016-2118
Sources used:
openSUSE 13.2 (src):    samba-4.2.4-34.1
Comment 12 Noel Power 2016-05-09 06:54:59 UTC
fixed